import { __extends, __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import StatelessComponent from '../StatelessComponent.js';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { FontIcon } from '../Icon/FontIcon.js';
import { Icon } from '../Icon/Icon.js';

var getClassNames = classNamesFunction();
var CheckBase = function(_super) {
  __extends(CheckBase2, _super);
  function CheckBase2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  CheckBase2.prototype.render = function(h, ctx) {
    var _a = ctx.props, checked = _a.checked, className = _a.className, theme = _a.theme, styles = _a.styles, useFastIcons = _a.useFastIcons;
    var classNames = getClassNames(styles, { theme: theme, className: className, checked: checked });
    var IconComponent = useFastIcons ? FontIcon : Icon;
    return h("div", { class: classNames.root }, [
      h(IconComponent, { class: classNames.circle, props: { iconName: "CircleRating" } }),
      h(IconComponent, { class: classNames.check, props: { iconName: "StatusCircleCheckmark" } })
    ]);
  };
  __decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
  ], CheckBase2.prototype, "checked", void 0);
  __decorate([
    Prop({ type: Boolean, default: true }),
    __metadata("design:type", Boolean)
  ], CheckBase2.prototype, "useFastIcons", void 0);
  CheckBase2 = __decorate([
    Component
  ], CheckBase2);
  return CheckBase2;
}(StatelessComponent);

export { CheckBase };
